<?php

/*
 * ==================================================
 * Bshare Class
 * --------------------------------------------------
 * [BShare] (C)2009-2010 Buzzinate Co.
 * File         : bshare.class.php ver1.0
 * Author       : bshare
 * Last updated : 2010-06-18
 * ==================================================
*/

class plugin_bshare {
    function plugin_bshare() {
        global $_G;
        $this->script = $_G['cache']['plugin']['bshare']['bshare_script'];
		$this->pos_post = $_G['cache']['plugin']['bshare']['bshare_pos_post'];
		$this->pos_blog = $_G['cache']['plugin']['bshare']['bshare_pos_blog'];
    }
	
	function ie_version() {
		$match=preg_match('/MSIE ([0-9]\.[0-9])/',$_SERVER['HTTP_USER_AGENT'],$reg);
		if ($match == 0)
			return 999;
		else
			return floatval($reg[1]);
	}
	
	function is_ff() {
		$match=preg_match('/Firefox/',$_SERVER['HTTP_USER_AGENT'],$reg);
		if ($match == 0)
			return false;
		else
			return true;
	}
}

class plugin_bshare_group extends plugin_bshare {
	function viewthread_postheader() {
		if ($this->pos_post == 1) {
			$v = $this->ie_version();
			if ($v <= 6) {
				return array('<div style="height:24px;width:110px;float:right;position:relative;top:-20px;">' . $this->script . '</div>');
			} else if ($v == 7) {
				return array('<div style="height:24px;width:110px;float:right;position:relative;top:-32px;">' . $this->script . '</div>');
			} else if ($this->is_ff()) {
				return array('<div style="height:24px;width:110px;float:right;">' . $this->script . '</div>');
			} else {
				return array('<div style="height:24px;width:110px;float:right;position:relative;top:6px;">' . $this->script . '</div>');
			}
		} else {
			return array();
		}
	}
	function viewthread_posttop() {
		if ($this->pos_post == 2) {
			return array('<div style="height:24px;width:110px;margin:10px 0">' . $this->script . '</div><div id="BSHARE_HTML">');
		} else {
			return array('<div id="BSHARE_HTML">');
		}
	}
	function viewthread_postbottom() {
		if ($this->pos_post == 3 || $this->pos_post == 4) {
			return array('</div><div style="height:24px;width:110px;margin:10px 0">' . $this->script . '</div>');
		} else {
			return array('</div>');
		}
	}

	function viewthread_useraction() {
		return "";
	}
}

class plugin_bshare_forum extends plugin_bshare {
	function viewthread_postheader() {
		if ($this->pos_post == 1) {
			$v = $this->ie_version();
			if ($v <= 6) {
				return array('<div style="height:24px;width:110px;float:right;position:relative;top:-20px;">' . $this->script . '</div>');
			} else if ($v == 7) {
				return array('<div style="height:24px;width:110px;float:right;position:relative;top:-32px;">' . $this->script . '</div>');
			} else if ($this->is_ff()) {
				return array('<div style="height:24px;width:110px;float:right;">' . $this->script . '</div>');
			} else {
				return array('<div style="height:24px;width:110px;float:right;position:relative;top:6px;">' . $this->script . '</div>');
			}
		} else {
			return array();
		}
	}
	function viewthread_posttop() {
		if ($this->pos_post == 2) {
			return array('<div style="height:24px;width:110px;margin:10px 0">' . $this->script . '</div><div id="BSHARE_HTML">');
		} else {
			return array('<div id="BSHARE_HTML">');
		}
	}
	function viewthread_postbottom() {
		if ($this->pos_post == 3 || $this->pos_post == 4) {
			return array('</div><div style="height:24px;width:110px;margin:10px 0">' . $this->script . '</div>');
		} else {
			return array('</div>');
		}
	}

	function viewthread_useraction() {
		return "";
	}
}

class plugin_bshare_home extends plugin_bshare {
	function space_blog_title() {
		if ($this->pos_blog == 1) {
			return '<div style="height:24px;width:110px;margin-top:10px">' . $this->script . '</div>';
		}
	}
	function space_blog_op_extra() {
		if ($this->pos_blog  == 2) {
			return '<div style="height:24px;width:110px;float:left;">' . $this->script . '</div>';
		}
	}
}
?>